OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class ATildelikeExprPart

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PExprPart
              org.opennms.netmgt.filter.node.ATildelikeExprPart

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class ATildelikeExprPart
extends PExprPart

Field Summary
`private TIdent` `_ident_`
`private TQuotedString` `_quotedString_`
`private TTildelike` `_tildelike_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`ATildelikeExprPart()`
`ATildelikeExprPart(TIdent _ident_, TTildelike _tildelike_, TQuotedString _quotedString_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`TIdent` `getIdent()`
`TQuotedString` `getQuotedString()`
`TTildelike` `getTildelike()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setIdent(TIdent node)`
`void` `setQuotedString(TQuotedString node)`
`void` `setTildelike(TTildelike node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _ident_

    private TIdent _ident_

### _tildelike_

    private TTildelike _tildelike_

### _quotedString_

    private TQuotedString _quotedString_

Constructor Detail

### ATildelikeExprPart

    public ATildelikeExprPart()

### ATildelikeExprPart

    public ATildelikeExprPart(TIdent _ident_,
                              TTildelike _tildelike_,
                              TQuotedString _quotedString_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getIdent

    public TIdent getIdent()

### setIdent

    public void setIdent(TIdent node)

### getTildelike

    public TTildelike getTildelike()

### setTildelike

    public void setTildelike(TTildelike node)

### getQuotedString

    public TQuotedString getQuotedString()

### setQuotedString

    public void setQuotedString(TQuotedString node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.